Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.lineage
Interface Source

    @UML(identifier="LI_Source",
         specification=ISO_19115)
    public interface Source

Information about the source data used in creating the data specified by the scope.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getDescription()` Detailed description of the level of the source data.
`RepresentativeFraction` | `getScaleDenominator()` Denominator of the representative fraction on a source map.
`Citation` | `getSourceCitation()` Recommended reference to be used for the source data.
`Collection<? extends Extent>` | `getSourceExtents()` Information about the spatial, vertical and temporal extent of the source data.
`ReferenceSystem` | `getSourceReferenceSystem()` Spatial reference system used by the source data.
`Collection<? extends ProcessStep>` | `getSourceSteps()` Information about an event in the creation process for the source data.

Method Detail

### getDescription

    @UML(identifier="description",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    InternationalString getDescription()

  Detailed description of the level of the source data.

### getScaleDenominator

    @UML(identifier="scaleDenominator",
         obligation=OPTIONAL,
         specification=ISO_19115)
    RepresentativeFraction getScaleDenominator()

  Denominator of the representative fraction on a source map.

### getSourceReferenceSystem

    @UML(identifier="sourceReferenceSystem",
         obligation=OPTIONAL,
         specification=ISO_19115)
    ReferenceSystem getSourceReferenceSystem()

  Spatial reference system used by the source data.

### getSourceCitation

    @UML(identifier="sourceCitation",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Citation getSourceCitation()

  Recommended reference to be used for the source data.

### getSourceExtents

    @UML(identifier="sourceExtent",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends Extent> getSourceExtents()

  Information about the spatial, vertical and temporal extent of the source data.

### getSourceSteps

    @UML(identifier="sourceStep",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ProcessStep> getSourceSteps()

  Information about an event in the creation process for the source data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.